> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.erlcrussia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Проверка CDN-домена

> Проверяет DNS-записи и сертификат домена.



## OpenAPI

````yaml ru/openapi/ru-api-v3-openapi.yaml POST /cdn/custom-domains/{id}/verify
openapi: 3.1.0
info:
  title: ER:LC Россия API V3
  description: >-
    API ER:LC Россия: серверы, пользователи, CDN, редиректы, подписки и ключи
    доступа.
  version: 3.0.0
servers:
  - url: https://api.erlcrussia.com/v3
    description: Основной сервер (com)
  - url: https://api.erlcrussia.xyz/v3
    description: Резервный сервер (xyz)
security: []
tags:
  - name: ER:LC Сервер
    description: Получение статуса, онлайна, списков игроков и персонала сервера ER:LC.
  - name: ER:LC Команды
    description: >-
      Отправка и постановка в очередь команд внутриигрового сервера (:h, :m,
      :kick, :ban и др.).
  - name: Экономика
    description: >-
      Взаимодействие с экономической системой (пользователи, бизнесы, мафии,
      магазин, реклама).
  - name: API Статистики
    description: >-
      Высокопроизводительное получение статистики дискорд-серверов и игровых
      серверов (онлайн, участники, боты).
  - name: API Верификации
    description: Поиск и сопоставление Discord ID и Roblox ID аккаунтов.
  - name: CDN Ассеты
    description: >-
      Загрузка, управление, статистика и очистка кэша файлов объектного
      хранилища MinIO / Edge CDN.
  - name: CDN Папки
    description: Иерархическая структура и сортировка папок медиатеки CDN.
  - name: API Наказаний
    description: Управление балансом и историей транзакций баллов игроков.
  - name: API Токенов
    description: Управление API токенами интеграции и проверка активных подписок.
  - name: API Подписок
    description: Каталог планов, заказы FunPay, начисление бенефитов и активация подписок.
  - name: API Авторизации
    description: >-
      Вход через Discord и Roblox OAuth2, управление сессиями пользователя и
      связывание аккаунтов.
  - name: Реальное Время и Вебхуки
    description: >-
      WebSocket шлюз событий и обработчик входящих вебхуков PRC с
      криптографической подписью Ed25519.
  - name: API Управления - Ключи
    description: Выпуск, аудит, деактивация и разграничение прав API ключей.
  - name: API Управления - Ограничения
    description: >-
      Тонкая настройка разрешенных версий, эндпоинтов, действий (actions) и
      query-параметров.
  - name: API Управления - WebSocket Ключи
    description: Управление ключами доступа к WebSocket шлюзу и подписками на каналы.
  - name: API Управления - Вебхуки
    description: Регистрация, валидация доступности и мониторинг пользовательских вебхуков.
  - name: API Управления - Панель
    description: >-
      Управление пользователями, подписками, тарифами, ручной баланс и системная
      статистика.
  - name: API Состояния
    description: Мониторинг работоспособности сервиса, подключений к PostgreSQL и Redis.
paths:
  /cdn/custom-domains/{id}/verify:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
    post:
      tags:
        - CDN V3
      summary: Проверка CDN-домена
      description: Проверяет DNS-записи и сертификат домена.
      responses:
        '200':
          description: Успешный ответ.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  domain:
                    type: object
                    properties:
                      id:
                        type: string
                      domain:
                        type: string
                      type:
                        type: string
                      isVerified:
                        type: boolean
                      cnameVerified:
                        type: boolean
                      cfStatus:
                        type: string
                      cfSslStatus:
                        type: string
                      teamId:
                        type: string
                  verification:
                    type: object
                    properties:
                      cfStatus:
                        type: string
                      cfSslStatus:
                        type: string
                      isVerified:
                        type: boolean
                      cname:
                        type: object
                        properties:
                          name:
                            type: string
                          expected:
                            type: string
                          current:
                            type: string
                          found:
                            type: boolean
                      ownershipVerification:
                        type: object
                        properties:
                          type:
                            type: string
                          name:
                            type: string
                          value:
                            type: string
                      sslValidation:
                        type: object
                        properties:
                          type:
                            type: string
                          txtName:
                            type: string
                          txtValue:
                            type: string
                      certificate:
                        type: object
                        properties:
                          issuer:
                            type: string
                          expiresOn:
                            type: string
                            format: date-time
                  isVerified:
                    type: boolean
                  cnameVerified:
                    type: boolean
                  cfStatus:
                    type: string
                  cfSslStatus:
                    type: string
                  ownershipTokenChanged:
                    type: boolean
                  sslTokenChanged:
                    type: boolean
                  message:
                    type: string
              example:
                success: true
                domain:
                  id: dom_9Qx2
                  domain: files.example.com
                  type: cdn
                  isVerified: true
                  cnameVerified: true
                  cfStatus: active
                  cfSslStatus: active
                  teamId: team_7f3a
                verification:
                  cfStatus: active
                  cfSslStatus: active
                  isVerified: true
                  cname:
                    name: files.example.com
                    expected: cname.erlcrussia.com
                    current: cname.erlcrussia.com
                    found: true
                  ownershipVerification:
                    type: txt
                    name: _cf-custom-hostname.files.example.com
                    value: 8f3c2a1e-5b7d-4e9f-a1c3-2b4d6e8f0a1c
                  sslValidation:
                    type: txt
                    txtName: _acme-challenge.files.example.com
                    txtValue: Xy7Kq2LmZp9Wd4Rt
                  certificate:
                    issuer: Google Trust Services
                    expiresOn: '2027-01-19T12:00:00Z'
                isVerified: true
                cnameVerified: true
                cfStatus: active
                cfSslStatus: active
                ownershipTokenChanged: false
                sslTokenChanged: false
                message: Проверка CDN-домена завершена
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          description: Нет доступа к организации или ресурсу.
        '429':
          description: >-
            Лимит запросов исчерпан. Учитывайте Retry-After; не запускайте
            неограниченные параллельные загрузки.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                code: 5016
                message: Rate Limit Exceeded
      security:
        - ApiKeyHeader: []
components:
  responses:
    BadRequestError:
      description: Bad Request (400) — неверные параметры запроса.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            missing_params:
              summary: Missing Parameters (5002)
              value:
                code: 5002
                message: Missing Parameters
            invalid_json:
              summary: Invalid JSON (5034)
              value:
                code: 5034
                message: Invalid Json
            invalid_param:
              summary: Invalid Param Name (5004)
              value:
                code: 5004
                message: Invalid Param Name
    UnauthorizedError:
      description: Unauthorized (401) — отсутствует или недействителен API токен.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            missing_token:
              summary: Missing Token (5007)
              value:
                code: 5007
                message: Missing Token
            invalid_token:
              summary: Invalid Token (5008)
              value:
                code: 5008
                message: Invalid Token
  schemas:
    APIError:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
        error:
          type: string
        details:
          type: object
          additionalProperties: true
      required:
        - code
        - message
    ErrorResponse:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: integer
          example: 5009
          description: Числовой код ошибки ER:LC Россия API.
        message:
          type: string
          example: Forbidden
          description: Системное сообщение ошибки на английском языке.
  securitySchemes:
    ApiKeyHeader:
      type: apiKey
      in: header
      name: erlcrussia-api-key
      description: >-
        Пользовательский API-ключ. Храните на сервере; не включайте в клиентский
        JavaScript.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.